import type { ExtractPropTypes } from 'vue';
import type { ZIndexProperty } from 'csstype';
export declare const overlayProps: {
    readonly mask: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly customMaskEvent: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
    readonly overlayClass: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<string | string[] | Record<string, boolean>>, unknown, unknown, unknown, unknown>;
    readonly zIndex: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<ZIndexProperty>, unknown, unknown, unknown, unknown>;
};
export declare type OverlayProps = ExtractPropTypes<typeof overlayProps>;
declare const _default: import("vue").DefineComponent<{
    readonly mask: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly customMaskEvent: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
    readonly overlayClass: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<string | string[] | Record<string, boolean>>, unknown, unknown, unknown, unknown>;
    readonly zIndex: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<ZIndexProperty>, unknown, unknown, unknown, unknown>;
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    readonly mask: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly customMaskEvent: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
    readonly overlayClass: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<string | string[] | Record<string, boolean>>, unknown, unknown, unknown, unknown>;
    readonly zIndex: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<ZIndexProperty>, unknown, unknown, unknown, unknown>;
}>>, {
    zIndex: import("element-ps/es/utils").BuildPropType<import("element-ps/es/utils").PropWrapper<ZIndexProperty>, unknown, unknown>;
    mask: import("element-ps/es/utils").BuildPropType<BooleanConstructor, unknown, unknown>;
    customMaskEvent: import("element-ps/es/utils").BuildPropType<BooleanConstructor, unknown, unknown>;
    overlayClass: import("element-ps/es/utils").BuildPropType<import("element-ps/es/utils").PropWrapper<string | string[] | Record<string, boolean>>, unknown, unknown>;
}>;
export default _default;
